No longer test on python 3.5

Don't test Django 2.1 yet as that fails
parent 8bcdc918
...@@ -8,8 +8,8 @@ variables: ...@@ -8,8 +8,8 @@ variables:
# Installs: # Installs:
# - pip: tox, coverage, pipenv # - pip: tox, coverage, pipenv
# - apt: ghostscript # - apt: ghostscript
PY35_IMAGE: thalia/python-thalia:3.5
PY36_IMAGE: thalia/python-thalia:3.6 PY36_IMAGE: thalia/python-thalia:3.6
PY37_IMAGE: thalia/python-thalia:3.7
PIP_CACHE_DIR: "${CI_PROJECT_DIR}/pip-cache" PIP_CACHE_DIR: "${CI_PROJECT_DIR}/pip-cache"
stages: stages:
...@@ -18,7 +18,7 @@ stages: ...@@ -18,7 +18,7 @@ stages:
pep8: pep8:
stage: test stage: test
image: $PY35_IMAGE image: $PY36_IMAGE
script: script:
- tox -e flake8 - tox -e flake8
...@@ -33,23 +33,23 @@ pep8: ...@@ -33,23 +33,23 @@ pep8:
- cd website - cd website
- coverage report - coverage report
python35-django20: python36-django20:
<<: *djangotest <<: *djangotest
image: $PY35_IMAGE image: $PY36_IMAGE
variables: variables:
PYTHON_VERSION: py35 PYTHON_VERSION: py36
DJANGO_VERSION: django20 DJANGO_VERSION: django20
python36-django20: python37-django20:
<<: *djangotest <<: *djangotest
image: $PY36_IMAGE image: $PY37_IMAGE
variables: variables:
PYTHON_VERSION: py36 PYTHON_VERSION: py37
DJANGO_VERSION: django20 DJANGO_VERSION: django20
docs: docs:
stage: test stage: test
image: $PY35_IMAGE image: $PY36_IMAGE
before_script: before_script:
# install django deps # install django deps
- pipenv --bare install --dev --ignore-pipfile - pipenv --bare install --dev --ignore-pipfile
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment